<p class="title">
	Assessment Maintenance > Add/Edit Payment Channel > <i>Edit</i>
</p>

<form name="editForm" id="editForm" role="form" novalidate (ngSubmit)="save()" #editForm="ngForm">
    <div class="card" *ngIf="paymentChannel">
    <div class="card-header title">Edit an Merchant Business Type</div>
    <div class="card-block">
        <div class="form-group row">
            <label class="col-sm-2 form-control-label heading" for="field_name">Business Type</label>
            <div class="col-sm-10">
            	<textarea class="form-control" name="name" id="name" [(ngModel)]="paymentChannel.name" required minlength="5" maxlength="100" pattern="^[a-zA-Z0-9,.:!'\s()-?]*$" #name="ngModel">
                </textarea>
                <div *ngIf="name.errors && (name.dirty || name.touched)" class="alert alertError">
            	<div [hidden]="!name.errors.required">
            		This field is required
            	</div>
            	<div [hidden]="!name.errors.maxlength">Merchant business type cannot be at more than 255 characters long</div>
            	<div [hidden]="!name.errors.pattern">Invalid character</div>
            </div>
            </div>
        </div>
    </div>
    <div class="row-md action-div">
			<button type="submit" (click)="previousState()" class="btn action-btn-with-text cancel">
				<span class="fa fa-times fa-lg"></span>&nbsp;<span> Cancel</span>
			</button>
			<button type="button"
				(click)="deleteType(paymentChannel)" class="btn btn-danger action-btn-with-text">
				<span class="fa fa-trash"></span>&nbsp;<span> Delete</span>
			</button>
			<button type="submit" [disabled]="editForm.form.invalid" class="btn action-btn-with-text edit">
            <span class="fa fa-save"></span>&nbsp;<span>Save</span>
        </button>
		</div>
		</div>
    
</form> 
